Package org.h2.util

# Class Utils10

java.lang.Object
org.h2.util.Utils10

public final class Utils10 extends Object
Utilities with specialized implementations for Java 10 and later versions. This class contains implementations for Java 10 and later versions.

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`getTcpQuickack(Socket socket)`
Returns the value of TCP_QUICKACK option.
`static boolean`
`setTcpQuickack(Socket socket, boolean value)`
Sets the value of TCP_QUICKACK option.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getTcpQuickack

public static boolean getTcpQuickack(Socket socket) throws IOException
Returns the value of TCP_QUICKACK option.

Parameters:
  `socket` - the socket
Returns:
  the current value of TCP_QUICKACK option
Throws:
  `IOException` - on I/O exception
  `UnsupportedOperationException` - if TCP_QUICKACK is not supported

### setTcpQuickack

public static boolean setTcpQuickack(Socket socket, boolean value)
Sets the value of TCP_QUICKACK option.

Parameters:
  `socket` - the socket
  `value` - the value to set
Returns:
  whether operation was successful